﻿using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;
using System.Collections.Generic;

namespace MvcApplication1.Models // careful with namespace
{

//[Bind(Exclude = "id")] // can exclude properties when reading properties from forms, can protect against injection attacks
public class Fish : IValidatableObject
{
 [ScaffoldColumn(false)] // make id a hidden field when auto generating forms
 public int id { get; set; }

 [DisplayName("Name of Fish")] // text to use when auto generating forms
 [Required(ErrorMessage = "An Fish name is required")] // validation
 [StringLength(160)] // max string length validation
 //[Range(0.01, 100, ErrorMessage = "Price must be between 0.01 and 100")] // numeric validation
 // can also have regular expression validators and compare validators (eg. to check passwords are equal)
 public string Name {get; set;}

 // can do custom validation as well, no need to type this in, implements IValidatableObject
 public IEnumerable<ValidationResult> Validate(ValidationContext validationContect)
 {
  if ((id == 1) && (Name == "cedd")) yield return new ValidationResult("id of 1 and name of cedd not allowed");
 }
} 
}
