﻿using System.Collections.Generic;
namespace MvcApplication1.Models // careful with namespace
{
 /// <summary>
 /// fish datastore
 /// </summary>
 public interface IFishService
 {
  /// <summary>
  /// add a new fish to the data store
  /// </summary>
  /// <param name="fishToCreate">The fish to add to the store</param>
  /// <returns>boolean value indicating success or failure</returns>
  bool CreateFish(Fish fishToCreate);

  /// <summary>
  /// get a fish from the data store
  /// </summary>
  /// <param name="id">id of the fish to retrieve from the store</param>
  /// <returns>The fish with the id specified</returns>
  Fish GetFish(int id);

  /// <summary>
  /// update a fish in the data store
  /// </summary>
  /// <param name="fishToEdit">fish to update in the store</param>
  /// <returns>boolean value indicating success or failure</returns>
  bool EditFish(Fish fishToEdit);

  /// <summary>
  /// return a list of all fish in the data store
  /// </summary>
  /// <returns>A list of all fish in the store</returns>
  IEnumerable<Fish> ListFish();
 }
}

